% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/layer-methods.R
\name{get_weights}
\alias{get_weights}
\alias{set_weights}
\title{Layer/Model weights as R arrays}
\usage{
get_weights(object, trainable = NA)

set_weights(object, weights)
}
\arguments{
\item{object}{Layer or model object}

\item{trainable}{if \code{NA} (the default), all weights are returned. If \verb{TRUE, }}

\item{weights}{Weights as R array}
}
\description{
Layer/Model weights as R arrays
}
\note{
You can access the Layer/Model as \code{tf.Tensors} or \code{tf.Variables} at
\code{object$weights}, \code{object$trainable_weights}, or
\code{object$non_trainable_weights}
}
\seealso{
Other model persistence: 
\code{\link{model_to_json}()},
\code{\link{model_to_yaml}()},
\code{\link{save_model_hdf5}()},
\code{\link{save_model_tf}()},
\code{\link{save_model_weights_hdf5}()},
\code{\link{serialize_model}()}

Other layer methods: 
\code{\link{count_params}()},
\code{\link{get_config}()},
\code{\link{get_input_at}()},
\code{\link{reset_states}()}
}
\concept{layer methods}
\concept{model persistence}
