% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/applications.R
\name{imagenet_preprocess_input}
\alias{imagenet_preprocess_input}
\title{Preprocesses a tensor or array encoding a batch of images.}
\usage{
imagenet_preprocess_input(x, data_format = NULL, mode = "caffe")
}
\arguments{
\item{x}{Input Numpy or symbolic tensor, 3D or 4D.}

\item{data_format}{Data format of the image tensor/array.}

\item{mode}{One of "caffe", "tf", or "torch"
\itemize{
\item caffe: will convert the images from RGB to BGR,
then will zero-center each color channel with
respect to the ImageNet dataset,
without scaling.
\item tf: will scale pixels between -1 and 1, sample-wise.
\item torch: will scale pixels between 0 and 1 and then
will normalize each channel with respect to the
ImageNet dataset.
}}
}
\value{
Preprocessed tensor or array.
}
\description{
Preprocesses a tensor or array encoding a batch of images.
}
