% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/backend.R
\name{k_arange}
\alias{k_arange}
\title{Creates a 1D tensor containing a sequence of integers.}
\usage{
k_arange(start, stop = NULL, step = 1, dtype = "int32")
}
\arguments{
\item{start}{Start value.}

\item{stop}{Stop value.}

\item{step}{Difference between two successive values.}

\item{dtype}{Integer dtype to use.}
}
\value{
An integer tensor.
}
\description{
The function arguments use the same convention as Theano's arange: if only
one argument is provided, it is in fact the "stop" argument. The default
type of the returned tensor is \code{'int32'} to match TensorFlow's default.
}
\section{Keras Backend}{


This function is part of a set of Keras backend functions that enable
lower level access to the core operations of the backend tensor engine
(e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here:
\url{https://tensorflow.rstudio.com/reference/keras/index.html#backend}.
}

