% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/backend.R
\name{k_binary_crossentropy}
\alias{k_binary_crossentropy}
\title{Binary crossentropy between an output tensor and a target tensor.}
\usage{
k_binary_crossentropy(target, output, from_logits = FALSE)
}
\arguments{
\item{target}{A tensor with the same shape as \code{output}.}

\item{output}{A tensor.}

\item{from_logits}{Whether \code{output} is expected to be a logits tensor. By
default, we consider that \code{output} encodes a probability distribution.}
}
\value{
A tensor.
}
\description{
Binary crossentropy between an output tensor and a target tensor.
}
\section{Keras Backend}{


This function is part of a set of Keras backend functions that enable
lower level access to the core operations of the backend tensor engine
(e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here:
\url{https://tensorflow.rstudio.com/reference/keras/index.html#backend}.
}

