% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/backend.R
\name{k_conv1d}
\alias{k_conv1d}
\title{1D convolution.}
\usage{
k_conv1d(
  x,
  kernel,
  strides = 1,
  padding = "valid",
  data_format = NULL,
  dilation_rate = 1
)
}
\arguments{
\item{x}{Tensor or variable.}

\item{kernel}{kernel tensor.}

\item{strides}{stride integer.}

\item{padding}{string, \code{"same"}, \code{"causal"} or \code{"valid"}.}

\item{data_format}{string, \code{"channels_last"} or \code{"channels_first"}.}

\item{dilation_rate}{integer dilate rate.}
}
\value{
A tensor, result of 1D convolution.
}
\description{
1D convolution.
}
\section{Keras Backend}{


This function is part of a set of Keras backend functions that enable
lower level access to the core operations of the backend tensor engine
(e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here:
\url{https://tensorflow.rstudio.com/reference/keras/index.html#backend}.
}

