% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/backend.R
\name{k_count_params}
\alias{k_count_params}
\title{Returns the static number of elements in a Keras variable or tensor.}
\usage{
k_count_params(x)
}
\arguments{
\item{x}{Keras variable or tensor.}
}
\value{
Integer, the number of elements in \code{x}, i.e., the product of the array's static dimensions.
}
\description{
Returns the static number of elements in a Keras variable or tensor.
}
\section{Keras Backend}{


This function is part of a set of Keras backend functions that enable
lower level access to the core operations of the backend tensor engine
(e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here:
\url{https://tensorflow.rstudio.com/reference/keras/index.html#backend}.
}

