% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/backend.R
\name{k_dot}
\alias{k_dot}
\title{Multiplies 2 tensors (and/or variables) and returns a \emph{tensor}.}
\usage{
k_dot(x, y)
}
\arguments{
\item{x}{Tensor or variable.}

\item{y}{Tensor or variable.}
}
\value{
A tensor, dot product of \code{x} and \code{y}.
}
\description{
When attempting to multiply a nD tensor
with a nD tensor, it reproduces the Theano behavior.
(e.g. \verb{(2, 3) * (4, 3, 5) -> (2, 4, 5)})
}
\section{Keras Backend}{


This function is part of a set of Keras backend functions that enable
lower level access to the core operations of the backend tensor engine
(e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here:
\url{https://tensorflow.rstudio.com/reference/keras/index.html#backend}.
}

