% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/backend.R
\name{k_expand_dims}
\alias{k_expand_dims}
\title{Adds a 1-sized dimension at index \code{axis}.}
\usage{
k_expand_dims(x, axis = -1)
}
\arguments{
\item{x}{A tensor or variable.}

\item{axis}{Position where to add a new axis (axis indexes are 1-based).
Pass -1 (the default) to select the last axis.}
}
\value{
A tensor with expanded dimensions.
}
\description{
Adds a 1-sized dimension at index \code{axis}.
}
\section{Keras Backend}{


This function is part of a set of Keras backend functions that enable
lower level access to the core operations of the backend tensor engine
(e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here:
\url{https://tensorflow.rstudio.com/reference/keras/index.html#backend}.
}

