% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/backend.R
\name{k_foldl}
\alias{k_foldl}
\title{Reduce elems using fn to combine them from left to right.}
\usage{
k_foldl(fn, elems, initializer = NULL, name = NULL)
}
\arguments{
\item{fn}{Function that will be called upon each element in elems and an
accumulator}

\item{elems}{tensor}

\item{initializer}{The first value used (first element of \code{elems} in case of
`NULL``)}

\item{name}{A string name for the foldl node in the graph}
}
\value{
Tensor with same type and shape as \code{initializer}.
}
\description{
Reduce elems using fn to combine them from left to right.
}
\section{Keras Backend}{


This function is part of a set of Keras backend functions that enable
lower level access to the core operations of the backend tensor engine
(e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here:
\url{https://tensorflow.rstudio.com/reference/keras/index.html#backend}.
}

