% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/backend.R
\name{k_gather}
\alias{k_gather}
\title{Retrieves the elements of indices \code{indices} in the tensor \code{reference}.}
\usage{
k_gather(reference, indices)
}
\arguments{
\item{reference}{A tensor.}

\item{indices}{Indices. Dimension indices are 1-based. Note however that if you pass a
tensor for \code{indices} they will be passed as-is, in which case indices will be 0 based
because no normalizing of R 1-based axes to Python 0-based axes is performed.}
}
\value{
A tensor of same type as \code{reference}.
}
\description{
Retrieves the elements of indices \code{indices} in the tensor \code{reference}.
}
\section{Keras Backend}{


This function is part of a set of Keras backend functions that enable
lower level access to the core operations of the backend tensor engine
(e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here:
\url{https://tensorflow.rstudio.com/reference/keras/index.html#backend}.
}

