% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/backend.R
\name{k_get_session}
\alias{k_get_session}
\alias{k_set_session}
\title{TF session to be used by the backend.}
\usage{
k_get_session()

k_set_session(session)
}
\arguments{
\item{session}{A TensorFlow Session.}
}
\value{
A TensorFlow session
}
\description{
If a default TensorFlow session is available, we will return it. Else, we
will return the global Keras session. If no global Keras session exists at
this point: we will create a new global session. Note that you can manually
set the global session via \code{k_set_session()}.
}
\section{Keras Backend}{


This function is part of a set of Keras backend functions that enable
lower level access to the core operations of the backend tensor engine
(e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here:
\url{https://tensorflow.rstudio.com/reference/keras/index.html#backend}.
}

