% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/backend.R
\name{k_learning_phase}
\alias{k_learning_phase}
\title{Returns the learning phase flag.}
\usage{
k_learning_phase()
}
\value{
Learning phase (scalar integer tensor or R integer).
}
\description{
The learning phase flag is a bool tensor (0 = test, 1 = train) to be passed
as input to any Keras function that uses a different behavior at train time
and test time.
}
\section{Keras Backend}{


This function is part of a set of Keras backend functions that enable
lower level access to the core operations of the backend tensor engine
(e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here:
\url{https://tensorflow.rstudio.com/reference/keras/index.html#backend}.
}

