% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/backend.R
\name{k_map_fn}
\alias{k_map_fn}
\title{Map the function fn over the elements elems and return the outputs.}
\usage{
k_map_fn(fn, elems, name = NULL, dtype = NULL)
}
\arguments{
\item{fn}{Function that will be called upon each element in elems}

\item{elems}{tensor}

\item{name}{A string name for the map node in the graph}

\item{dtype}{Output data type.}
}
\value{
Tensor with dtype \code{dtype}.
}
\description{
Map the function fn over the elements elems and return the outputs.
}
\section{Keras Backend}{


This function is part of a set of Keras backend functions that enable
lower level access to the core operations of the backend tensor engine
(e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here:
\url{https://tensorflow.rstudio.com/reference/keras/index.html#backend}.
}

