% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/backend.R
\name{k_random_uniform}
\alias{k_random_uniform}
\title{Returns a tensor with uniform distribution of values.}
\usage{
k_random_uniform(shape, minval = 0, maxval = 1, dtype = NULL, seed = NULL)
}
\arguments{
\item{shape}{A list of integers, the shape of tensor to create.}

\item{minval}{A float, lower boundary of the uniform distribution to draw samples.}

\item{maxval}{A float, upper boundary of the uniform distribution to draw samples.}

\item{dtype}{String, dtype of returned tensor.}

\item{seed}{Integer, random seed.}
}
\value{
A tensor.
}
\description{
Returns a tensor with uniform distribution of values.
}
\section{Keras Backend}{


This function is part of a set of Keras backend functions that enable
lower level access to the core operations of the backend tensor engine
(e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here:
\url{https://tensorflow.rstudio.com/reference/keras/index.html#backend}.
}

