% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/backend.R
\name{k_relu}
\alias{k_relu}
\title{Rectified linear unit.}
\usage{
k_relu(x, alpha = 0, max_value = NULL)
}
\arguments{
\item{x}{A tensor or variable.}

\item{alpha}{A scalar, slope of negative section (default=\code{0.}).}

\item{max_value}{Saturation threshold.}
}
\value{
A tensor.
}
\description{
With default values, it returns element-wise \code{max(x, 0)}.
}
\section{Keras Backend}{


This function is part of a set of Keras backend functions that enable
lower level access to the core operations of the backend tensor engine
(e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here:
\url{https://tensorflow.rstudio.com/reference/keras/index.html#backend}.
}

