% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/backend.R
\name{k_spatial_2d_padding}
\alias{k_spatial_2d_padding}
\title{Pads the 2nd and 3rd dimensions of a 4D tensor.}
\usage{
k_spatial_2d_padding(
  x,
  padding = list(list(1, 1), list(1, 1)),
  data_format = NULL
)
}
\arguments{
\item{x}{Tensor or variable.}

\item{padding}{Tuple of 2 lists, padding pattern.}

\item{data_format}{string, \code{"channels_last"} or \code{"channels_first"}.}
}
\value{
A padded 4D tensor.
}
\description{
Pads the 2nd and 3rd dimensions of a 4D tensor.
}
\section{Keras Backend}{


This function is part of a set of Keras backend functions that enable
lower level access to the core operations of the backend tensor engine
(e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here:
\url{https://tensorflow.rstudio.com/reference/keras/index.html#backend}.
}

