% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/backend.R
\name{k_stop_gradient}
\alias{k_stop_gradient}
\title{Returns \code{variables} but with zero gradient w.r.t. every other variable.}
\usage{
k_stop_gradient(variables)
}
\arguments{
\item{variables}{tensor or list of tensors to consider constant with respect
to any other variable.}
}
\value{
A single tensor or a list of tensors (depending on the passed
argument) that has constant gradient with respect to any other variable.
}
\description{
Returns \code{variables} but with zero gradient w.r.t. every other variable.
}
\section{Keras Backend}{


This function is part of a set of Keras backend functions that enable
lower level access to the core operations of the backend tensor engine
(e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here:
\url{https://tensorflow.rstudio.com/reference/keras/index.html#backend}.
}

