% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/backend.R
\name{k_switch}
\alias{k_switch}
\title{Switches between two operations depending on a scalar value.}
\usage{
k_switch(condition, then_expression, else_expression)
}
\arguments{
\item{condition}{tensor (\code{int} or \code{bool}).}

\item{then_expression}{either a tensor, or a function that returns a tensor.}

\item{else_expression}{either a tensor, or a function that returns a tensor.}
}
\value{
The selected tensor.
}
\description{
Note that both \code{then_expression} and \code{else_expression}
should be symbolic tensors of the \emph{same shape}.
}
\section{Keras Backend}{


This function is part of a set of Keras backend functions that enable
lower level access to the core operations of the backend tensor engine
(e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here:
\url{https://tensorflow.rstudio.com/reference/keras/index.html#backend}.
}

