% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/backend.R
\name{k_variable}
\alias{k_variable}
\title{Instantiates a variable and returns it.}
\usage{
k_variable(value, dtype = NULL, name = NULL, constraint = NULL)
}
\arguments{
\item{value}{Numpy array, initial value of the tensor.}

\item{dtype}{Tensor type.}

\item{name}{Optional name string for the tensor.}

\item{constraint}{Optional projection function to be applied to the variable after an optimizer update.}
}
\value{
A variable instance (with Keras metadata included).
}
\description{
Instantiates a variable and returns it.
}
\section{Keras Backend}{


This function is part of a set of Keras backend functions that enable
lower level access to the core operations of the backend tensor engine
(e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here:
\url{https://tensorflow.rstudio.com/reference/keras/index.html#backend}.
}

