% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/backend.R
\name{k_zeros_like}
\alias{k_zeros_like}
\title{Instantiates an all-zeros variable of the same shape as another tensor.}
\usage{
k_zeros_like(x, dtype = NULL, name = NULL)
}
\arguments{
\item{x}{Keras variable or Keras tensor.}

\item{dtype}{String, dtype of returned Keras variable. NULL uses the dtype
of x.}

\item{name}{String, name for the variable to create.}
}
\value{
A Keras variable with the shape of x filled with zeros.
}
\description{
Instantiates an all-zeros variable of the same shape as another tensor.
}
\section{Keras Backend}{


This function is part of a set of Keras backend functions that enable
lower level access to the core operations of the backend tensor engine
(e.g. TensorFlow, CNTK, Theano, etc.).

You can see a list of all available backend functions here:
\url{https://tensorflow.rstudio.com/reference/keras/index.html#backend}.
}

