% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/layers-merge.R
\name{layer_add}
\alias{layer_add}
\title{Layer that adds a list of inputs.}
\usage{
layer_add(inputs, ...)
}
\arguments{
\item{inputs}{A input tensor, or list of input tensors. Can be missing.}

\item{...}{Unnamed args are treated as additional \code{inputs}. Named arguments are passed on as standard layer arguments.}
}
\value{
A tensor, the sum of the inputs. If \code{inputs} is missing, a keras
layer instance is returned.
}
\description{
It takes as input a list of tensors, all of the same shape, and returns a
single tensor (also of the same shape).
}
\seealso{
\itemize{
\item \url{https://www.tensorflow.org/api_docs/python/tf/keras/layers/add}
\item \url{https://keras.io/api/layers/merging_layers/add}
}
}
\concept{merging_layers}
