% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/learning_rate_schedules.R
\name{new_learning_rate_schedule_class}
\alias{new_learning_rate_schedule_class}
\title{Create a new learning rate schedule type}
\usage{
new_learning_rate_schedule_class(
  classname,
  ...,
  initialize = NULL,
  call,
  get_config = NULL
)
}
\arguments{
\item{classname}{string}

\item{...}{methods and properties of the schedule class}

\item{initialize, get_config}{Additional recommended methods to implement.
\itemize{
\item \url{https://www.tensorflow.org/api_docs/python/tf/keras/optimizers/schedules/LearningRateSchedule}
}}

\item{call}{function which takes a step argument (scalar integer tensor, the
current training step count, and returns the new learning rate). For
tracking additional state, objects \code{self} and \code{private} are automatically
injected into the scope of the function.}
}
\value{
A \code{LearningRateSchedule} class generator.
}
\description{
Create a new learning rate schedule type
}
